## com.rbnb.api
Interface RoutingMap

    public interface RoutingMap

Client-side representation of the list of all servers known to a particular RBNB server.

Since:
  V2.0
Author:
  Ian Brown
Version:
  09/29/2004

Method Summary
`Object` `clone()` Clones this object.
`String` `getLocalName()` Gets the local server name.
`void` `setLocalName(String nameI)` Sets the local `Server` name.

Methods inherited from interface com.rbnb.api.RmapInterface
`addChild, compareNames, compareNames, compareTo, findChild, findDescendant, getFullName, getName, getParent, removeChild, removeChildAt, setName, toString, toString`

Method Detail

### clone

    Object clone()

  Clones this object.

  This same abstract declaration is also included in RmapInterface.java, but for some unknown reason J# gives a compiler error if it is not also included here.

  Returns:
    the clone.
  Since:
    V2.5
  See Also:
    `Cloneable`
  Author:
    John Wilson
  Version:
    09/29/2004

### getLocalName

    String getLocalName()

  Gets the local server name.

  Returns:
    the name.
  Since:
    V2.0
  See Also:
    `setLocalName(String)`
  Author:
    Ian Brown
  Version:
    05/09/2001

### setLocalName

    void setLocalName(String nameI)

  Sets the local `Server` name.

  Parameters:
    `nameI` - the name.
  Since:
    V2.0
  See Also:
    `getLocalName()`
  Author:
    Ian Brown
  Version:
    05/09/2001